--- gcompris-13.11.orig/Makefile.am
+++ gcompris-13.11/Makefile.am
@@ -7,7 +7,7 @@
 # endif
 
 
-icondir=$(datadir)/pixmaps
+icondir=/usr/share/pixmaps
 icon_DATA = gcompris.png gcompris-edit.png
 
 if BUILD_MINGW32
@@ -15,7 +15,7 @@
 Applications_in_files =
 Applications_DATA =
 else
-Applicationsdir = $(datadir)/applications/
+Applicationsdir = /usr/share/applications/
 Applications_in_files = gcompris.desktop.in gcompris-edit.desktop.in
 Applications_DATA = gcompris.desktop gcompris-edit.desktop
 endif
--- gcompris-13.11.orig/configure.ac
+++ gcompris-13.11/configure.ac
@@ -57,7 +57,8 @@
   gtk+-2.0 >= $GTK_REQUIRED \
   librsvg-2.0 >= $LIBRSVG_REQUIRED \
   libxml-2.0 >= $LIBXML_REQUIRED \
-  gthread-2.0 )
+  gthread-2.0 \
+  gmodule-2.0 )
 
 AC_SUBST(GCOMPRIS_CFLAGS)
 AC_SUBST(GCOMPRIS_LIBS)
@@ -204,10 +205,8 @@
           USE_DEBUG="$enableval", USE_DEBUG="no")
 if test "x$USE_DEBUG" == "xyes" ; then
     AC_DEFINE_UNQUOTED(DEBUG, 1, "Enable debug messages.")
-    CFLAGS="$CFLAGS $OSX_CFLAGS -Wall -g"
-else
-    CFLAGS="$CFLAGS $OSX_CFLAGS -Wall -O2"
 fi
+CFLAGS="$CFLAGS $OSX_CFLAGS -Wall"
 
 dnl disable activation code
 AC_ARG_ENABLE(disable-activation-code,
@@ -336,21 +335,21 @@
   fi
 else
   dnl Set PACKAGE_LOCALE_DIR in config.h.
-  AC_DEFINE_UNQUOTED(PACKAGE_LOCALE_DIR, "${myprefix}/${DATADIRNAME}/locale", [GCompris locale directory])
+  AC_DEFINE_UNQUOTED(PACKAGE_LOCALE_DIR, "/usr/share/locale", [GCompris locale directory])
 
   dnl Set PACKAGE_DATA_DIR
   PACKAGE_DATA_DIR="boards"
   AC_SUBST(PACKAGE_DATA_DIR)
-  AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${myprefix}/${DATADIRNAME}", [GCompris data directory])
+  AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${datadir}", [GCompris data directory])
 
   dnl Plugin Directory
   my_libdir=`eval echo "${libdir}"`
-  AC_DEFINE_UNQUOTED(PACKAGE_CLIB_DIR, "${my_libdir}", [Gcompris plugins directory])
+  AC_DEFINE_UNQUOTED(PACKAGE_CLIB_DIR, "${libdir}", [Gcompris plugins directory])
   plugindir=$libdir/gcompris
   AC_SUBST(plugindir)
 
   dnl Python plugin Directory
-  PYTHON_PLUGIN_DIR="${myprefix}/${DATADIRNAME}/${PACKAGE}/python"
+  PYTHON_PLUGIN_DIR="${datadir}/${PACKAGE}/python"
   AC_SUBST(PYTHON_PLUGIN_DIR)
 
   dnl System GCompris config directory
--- gcompris-13.11.orig/src/gcompris/gcompris.c
+++ gcompris-13.11/src/gcompris/gcompris.c
@@ -1322,7 +1322,7 @@
     properties->package_plugin_dir = g_strconcat(pkg_clib_dir, "/gcompris", NULL);
     properties->package_python_plugin_dir = g_strconcat(pkg_data_dir, "/gcompris/python",
 							NULL);
-    properties->system_icon_dir = g_strconcat(pkg_data_dir, "/pixmaps", NULL);
+    properties->system_icon_dir = g_strconcat("/usr/share", "/pixmaps", NULL);
     properties->menu_dir = g_strdup(properties->package_data_dir);
     g_free(pkg_data_dir);
     g_free(pkg_clib_dir);
